Skip to main content
GET
/
api
/
v2
/
public
/
dataref
curl -X GET "https://app.refold.ai/api/v2/public/dataref?linked_account_id=YOUR_LINKED_ACCOUNT_ID" \
  -H "x-api-key: YOUR_API_KEY"
{
  "docs": [
    {
      "_id": "6a3149efd396207fd24f7aad",
      "linked_account_id": "user_12345",
      "org_id": "6500a1b2c3d4e5f6a7b8c9d0",
      "environment": "test",
      "name": "contacts",
      "createdAt": "2026-06-16T13:04:47.926Z",
      "updatedAt": "2026-06-16T13:04:47.926Z",
      "__v": 0
    }
  ],
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "hasNextPage": false
}
List datarefs (named reference-data stores) for your org and environment, paginated. Optionally filter to a single linked account or to unique names.

Authentication

x-api-key
string
required
Your Refold API key.

Query Parameters

linked_account_id
string
Filter to a single linked account’s datarefs.
unique
boolean
Return unique dataref names with their linked accounts.
page
integer
default:"1"
Page number.
limit
integer
default:"10"
Page size.

Response

Returns a paginated envelope.
docs
array
Dataref objects.
totalDocs
integer
Total datarefs.
page
integer
Current page.
limit
integer
Page size.
totalPages
integer
Total pages.
hasNextPage
boolean
Whether another page follows.
{
  "docs": [
    {
      "_id": "6a3149efd396207fd24f7aad",
      "linked_account_id": "user_12345",
      "org_id": "6500a1b2c3d4e5f6a7b8c9d0",
      "environment": "test",
      "name": "contacts",
      "createdAt": "2026-06-16T13:04:47.926Z",
      "updatedAt": "2026-06-16T13:04:47.926Z",
      "__v": 0
    }
  ],
  "totalDocs": 1,
  "limit": 10,
  "page": 1,
  "totalPages": 1,
  "hasNextPage": false
}
curl -X GET "https://app.refold.ai/api/v2/public/dataref?linked_account_id=YOUR_LINKED_ACCOUNT_ID" \
  -H "x-api-key: YOUR_API_KEY"